commit:     6edb36fe4a355040798286c0f05956d1083f1ed7
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 15 09:18:27 2020 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Aug 15 09:18:45 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6edb36fe

dev-cpp/ctemplate: add 2.4

This version uses python 3.

Closes: https://bugs.gentoo.org/735266
Package-Manager: Portage-2.3.103, Repoman-2.3.23
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-cpp/ctemplate/Manifest             |  1 +
 dev-cpp/ctemplate/ctemplate-2.4.ebuild | 76 ++++++++++++++++++++++++++++++++++
 2 files changed, 77 insertions(+)

diff --git a/dev-cpp/ctemplate/Manifest b/dev-cpp/ctemplate/Manifest
index 74737dea1ac..184cb62669c 100644
--- a/dev-cpp/ctemplate/Manifest
+++ b/dev-cpp/ctemplate/Manifest
@@ -1 +1,2 @@
 DIST ctemplate-2.3.tar.bz2 564389 BLAKE2B 
e0c95ac534eb0b7fdff3e87e08f3b1b8aa735bec8eef05bebcf87a51375cbc93e768a18ba005248edda023869b21679dbadaf3d6462e71666fa5d85b96172851
 SHA512 
546645389a8bfed59686b62b43cb7d53714ac98e1b75311c217bb0f3b6201d5d486766b1ce7e35bf15032372e45c36b27008f54085bd0c9ef0dd0b7e04b8e3f5
+DIST ctemplate-2.4.tar.gz 391923 BLAKE2B 
96b585ed6ca323fc461857e1f2f381e0ca5c229d8c6039c24efcf34fb9ddf45cc36bef141af337e591e1cdd95ca510ea5ba1e539554322c578c25187b1906195
 SHA512 
4955489e7327bce18802d50fd9dfc8ac12af685e556d1c9d0eb2b7a2f4a9b6086e30be8388d694ec8912623738973d0c76e9ca97196c63c139ee5b468d4858b7

diff --git a/dev-cpp/ctemplate/ctemplate-2.4.ebuild 
b/dev-cpp/ctemplate/ctemplate-2.4.ebuild
new file mode 100644
index 00000000000..da3638b6c1e
--- /dev/null
+++ b/dev-cpp/ctemplate/ctemplate-2.4.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit autotools elisp-common python-any-r1
+
+DESCRIPTION="A simple but powerful template language for C++"
+HOMEPAGE="https://github.com/olafvdspek/ctemplate";
+SRC_URI="https://github.com/OlafvdSpek/ctemplate/archive/${P}.tar.gz";
+S="${WORKDIR}/ctemplate-${P}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc emacs vim-syntax static-libs test"
+
+DEPEND="test? ( ${PYTHON_DEPS} )"
+RDEPEND="
+       emacs? ( >=app-editors/emacs-23.1:* )
+       vim-syntax? ( >=app-editors/vim-core-7 )"
+
+SITEFILE="70ctemplate-gentoo.el"
+
+# Some tests are broken in 2.3
+RESTRICT="test"
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       econf $(use_enable static-libs static)
+}
+
+src_compile() {
+       default
+
+       if use emacs; then
+               elisp-compile contrib/tpl-mode.el
+       fi
+}
+
+src_install() {
+       default
+       if ! use doc; then
+               rm -r "${ED%/}"/usr/share/doc/${PF}/html || die
+       fi
+
+       if use vim-syntax; then
+               cd "${S}/contrib" || die
+               sh highlighting.vim || die "unpacking vim scripts failed"
+               insinto /usr/share/vim/vimfiles
+               doins -r .vim/.
+       fi
+
+       if use emacs; then
+               cd "${S}/contrib" || die
+               elisp-install ${PN} tpl-mode.el tpl-mode.elc
+               elisp-site-file-install "${FILESDIR}/${SITEFILE}"
+       fi
+
+       # package provides .pc files
+       find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+       use emacs && elisp-site-regen
+}
+
+pkg_postrm() {
+       use emacs && elisp-site-regen
+}

Reply via email to